Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1972376 - Make btrfs the default file system for Fedora Cloud
Summary: Make btrfs the default file system for Fedora Cloud
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Duncan
QA Contact:
URL:
Whiteboard:
Depends On: 1971186 1974018
Blocks: F35Changes
TreeView+ depends on / blocked
 
Reported: 2021-06-15 18:34 UTC by Ben Cotton
Modified: 2021-11-02 16:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 16:03:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2021-06-15 18:34:48 UTC
This is a tracking bug for Change: Make btrfs the default file system for Fedora Cloud
For more details, see: https://fedoraproject.org/wiki/Changes/FedoraCloudBtrfsByDefault

For cloud installs of Fedora, we want to provide advanced file system features to users in a transparent fashion. Thus, we are changing the file system for the Cloud Edition to Btrfs so we can leverage its features and capabilities to improve the quality of experience for Cloud users.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Neal Gompa 2021-06-19 19:13:21 UTC
This is now implemented and ready for testing.

Comment 2 Davide Cavalca 2021-06-23 17:24:47 UTC
The libguestfs container to access btrfs filesystems on hosts without btrfs kernel support (e.g. RHEL) is also available for testing:

  podman run --privileged -v /:/host -v /dev/kvm:/dev/kvm -a stdin,stdout,stderr -t candidate-registry.fedoraproject.org/f34/libguestfs

Comment 3 Neal Gompa 2021-07-27 04:16:44 UTC
Everything is now in place as desired.

Comment 4 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.


Note You need to log in before you can comment on or make changes to this bug.